Vsan System Ex Vsan Host Abort Wipe Disk

Vsan System Ex Vsan Host Abort Wipe Disk
Abort outstanding secure wipe disk request.

Abort outstanding secure wipe disk request.

Required privileges: Host.Config.Storage

Request
URI
POST
https://{vcenter-host}/sdk/vim25/{release}/vsan/VsanSystemEx/{moId}/VsanHostAbortWipeDisk
COPY
Path Parameters
string
moId
Required

The unique identifier for the managed object to which the method attaches; the serialized managed object reference for a request has the form moType/moId, in this case VsanSystemEx/{moId}.

string
release
Required

The vSphere release schema. The current specification covers vSphere 9.1.0.0 APIs.


Request Body
VsanHostAbortWipeDiskRequestType of type(s) application/json
Required

Show optional properties

{
    "disks": [
        {}
    ]
}
{
    "disks": [
        "string"
    ]
}
array of string
disks
Required

disks

Authentication
This operation uses the following authentication methods.
Responses
200

VsanHostAbortWipeDiskStatus[] which contain each disk abort wipe return status.

[
    {
        "_typeName": "string",
        "disk": "string",
        "success": false,
        "reason": [
            {
                "_typeName": "string",
                "key": "string",
                "arg": [
                    {
                        "_typeName": "string",
                        "key": "string",
                        "value": {
                            "_typeName": "string"
                        }
                    }
                ],
                "message": "string"
            }
        ]
    }
]
array of object
Optional

Abort wipe disk status.

This structure may be used only with operations rendered under /vsan.


Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"disks":["string"]}' https://{api_host}/sdk/vim25/{release}/vsan/VsanSystemEx/{moId}/VsanHostAbortWipeDisk